function [sinClick] = makeSinusClic(clickArray)

    fs = 44100;
    Ts = 1/fs;  
    
    clickArray = clickArray/1000; % clickArray i ms

    w = zeros(floor(length(clickArray)*fs), 2); % stereo

    tMax = 0.1; % 0.1 sec
    fSi = 2000; % 2kHz

    si = 0.5 * [sin(2*pi*fSi*[0:Ts:tMax]) ; sin(2*pi*fSi*[0:Ts:tMax])]';
    siL = length(si);

    for i = 1 : length(clickArray)
        n = floor(clickArray(i)*fs);
        w(n:n+siL-1, :) = si;
    end

    audiowrite(fName, w, fs);
    
end