function [F, V] = agent2(a1, a2, a3, a4, varargin)
    % a1 og a2 - rot X
    % tot høyde = 1
    % a ligger i intv -1 1
    
    demo = 0;
    readVgrarginInput( ); % Se nederst
    
    if demo == 0
        
;
        
    else
        
        a1 = a1*40;
        a2 = a2*40;
        a3 = a3*40;
        a4 = a4*40;
        
        tra1 = [0 0 0];
        
        %% Ledd 1 bunn rot
        pTopp = [0 0 0.08];
        pBunn = [0 0 0];
        tra2 = pTopp;
        [F1, V1] = polyQuadOpenCylinder(0.07, 36, pBunn, pTopp);
        % Rot/transl verts
        V1 = (rotz(a1) * V1')' + tra1;
        % Rot/transl origo
        origo = (rotz(a1) * [0 0 0]')' + tra2;
        
        %% Ledd 2 / arm 2 bøy
        pTopp = [-0.08 0 0];
        pBunn = [0.08 0 0];
        [F2l, V2l] = polyQuadCylinderSemiClosed(0.06, 36, 2, 2, pBunn, pTopp);
        pTopp = [0 0 0.5];
        pBunn = [0 0 0];
        [F2a, V2a] = polyQuadOpenCylinder(0.06, 36, pBunn, pTopp);      
        [F2, V2] = addPoly(F2a, V2a, F2l, V2l);
        % Rot/transl verts
        V2 = (rotz(a1) * V2')' + tra1;
        V2 = (rotx(a2) * V2')'+ tra2;
        
        % Rot/flytt origo
        origo = (rotz(a1) * origo')';
        
        [F, V] = addPoly(F1, V1, F2, V2);
        
        %% Arm 3
        pTopp3 = [0 0 0.5];
        pBunn3 = [0 0 0];
        [F3, V3] = polyQuadOpenCylinder(0.06, 36, pBunn3, pTopp3);
        V3 = (rotz(a1) * V3')';
        V3 = (rotx(a2) * V3')';
        V3 = V3 + [pTopp1];
        
        pTopp3 = (rotz(a1) * pTopp1')';
        
        [F, V] = addPoly(F, V, F3, V3);
        
        %% Ledd 3
        pTopp4 = [-0.06 0 0];
        pBunn4 = [0.06 0 0];
        [F4, V4] = polyQuadCylinderSemiClosed(0.06, 36, 2, 2, pBunn4, pTopp4);
        V4 = (rotz(a1) * V4')';
        V2 = V2 + [pTopp1];
        
        [F, V] = addPoly(F1, V1, F2, V2);
        
        
        
    end
    
    %%
    
    function readVgrarginInput( )
        while ~isempty(varargin)
            switch varargin{1}
                case 'demo'
                    demo = 1; varargin(1:1) = [];
                otherwise
                    error(['Unexpected option: ' varargin{1}]);
            end
        end
    end
end

% [F, V] = agent1(0, 30); clf; plotPoly(F,V,'dark', 'coo', 1); view(0,90)